%global momorel 1
Summary: neon is an HTTP and WebDAV client library, with a C interface.
Name: neon
Version: 0.24.7
Release: %{momorel}m
License: LGPL
Group: System Environment/Libraries
URL: http://www.webdav.org/neon/
%NoSource 0 http://www.webdav.org/neon/%{name}-%{version}.tar.gz 5108bcbe41de4afe2e19cc58500fb9f2
Patch0: neon-0.24.3-disable-krb5.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: libxml2-devel, openssl-devel, zlib-devel

%description
neon is an HTTP and WebDAV client library, with a C interface. Featuring:

    * High-level interface to HTTP and WebDAV methods (PUT, GET, HEAD etc)
    * Low-level interface to HTTP request handling, to allow implementing new methods easily.
    * persistent connections
    * RFC2617 basic and digest authentication (including auth-int, md5-sess)
    * Proxy support (including basic/digest authentication)
    * SSL/TLS support using OpenSSL (including client certificate support)
    * Generic WebDAV 207 XML response handling mechanism
    * XML parsing using the expat or libxml parsers
    * Easy generation of error messages from 207 error responses
    * WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.
    * WebDAV metadata support: set and remove properties, query any set of properties (PROPPATCH/PROPFIND).
    * autoconf macros supplied for easily embedding neon directly inside an application source tree. 

%package devel
Summary: Header files and libraries for developing apps which will use neon.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxml2-devel
Requires: openssl-devel
Requires: zlib-devel
#Requires: krb5-devel

%description devel
The neon-devel package contains the header files and libraries needed
to develop programs that use the neon library.

%prep
%setup -q

%patch0 -p1 -b .disable-krb5~

./autogen.sh

%build
%configure --with-ssl --enable-shared
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog INSTALL.* NEWS README THANKS TODO
%{_libdir}/libneon.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html doc/using-neon.txt
%{_includedir}/neon
%{_libdir}/libneon.so
%{_libdir}/libneon.la
%{_libdir}/libneon.a
%{_bindir}/neon-config
%{_libdir}/pkgconfig/neon.pc
%{_mandir}/man?/*

%changelog
* Tue Jul 20 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.24.7-1m)
- update to 0.24.7

* Wed May 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.24.6-1m)
- update to 0.24.6
- SECURITY
    CVE CAN-2004-0398 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0398
    Fix sscanf overflow in ne_rfc1036_parse, thanks to Stefan Esser.
- Link libneon against libexpat during Subversion build using bundled neon.
- Win32 build script update (Jon Foster). 

* Fri Apr 16 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.24.5-1m)
- update to 0.24.5
- security fix
- http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0179
- http://rhn.redhat.com/errata/RHSA-2004-159.html
- delete patch1

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (0.24.3-3m)
- revised spec for rpm 4.2.
- applied wrongver patch to fix neon.m4 so that html is installed as 0.24.3.

* Mon Mar  8 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.24.3-2m)
- add %%defattr(-,root,root,-)

* Thu Jan  8 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.24.3-2m)
- separate package into neon and neon-devel
- disable krb5

* Tue Oct 14 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.24.3-1m)
- update to 0.24.3 (required by subversion-0.31)
- revise BuildRoot
- add %%{_libdir}/pkgconfig/neon.pc to %%files

* Sat Apr 26 2003  <tom@tom.homelinux.org>
- Initial build.
